<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:54:16 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ModifierSet (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ModifierSet (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ModifierSet.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/MethodDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/Parameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html" target="_top">Frames</a></li>
<li><a href="ModifierSet.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.java.reverse.ast.body</div>
<h2 title="Class ModifierSet" class="title">Class ModifierSet</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.java.reverse.ast.body.ModifierSet</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">ModifierSet</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Class to hold modifiers.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#ABSTRACT">ABSTRACT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#FINAL">FINAL</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#NATIVE">NATIVE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#PRIVATE">PRIVATE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#PROTECTED">PROTECTED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#PUBLIC">PUBLIC</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#STATIC">STATIC</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#STRICTFP">STRICTFP</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#SYNCHRONIZED">SYNCHRONIZED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#TRANSIENT">TRANSIENT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#VOLATILE">VOLATILE</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#addModifier-int-int-">addModifier</a></span>(int&nbsp;modifiers,
           int&nbsp;mod)</code>
<div class="block">Adds the given modifier.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#hasModifier-int-int-">hasModifier</a></span>(int&nbsp;modifiers,
           int&nbsp;modifier)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#isAbstract-int-">isAbstract</a></span>(int&nbsp;modifiers)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#isFinal-int-">isFinal</a></span>(int&nbsp;modifiers)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#isNative-int-">isNative</a></span>(int&nbsp;modifiers)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#isPrivate-int-">isPrivate</a></span>(int&nbsp;modifiers)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#isProtected-int-">isProtected</a></span>(int&nbsp;modifiers)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#isPublic-int-">isPublic</a></span>(int&nbsp;modifiers)</code>
<div class="block">A set of accessors that indicate whether the specified modifier
 is in the set.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#isStatic-int-">isStatic</a></span>(int&nbsp;modifiers)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#isStrictfp-int-">isStrictfp</a></span>(int&nbsp;modifiers)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#isSynchronized-int-">isSynchronized</a></span>(int&nbsp;modifiers)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#isTransient-int-">isTransient</a></span>(int&nbsp;modifiers)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#isVolatile-int-">isVolatile</a></span>(int&nbsp;modifiers)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html#removeModifier-int-int-">removeModifier</a></span>(int&nbsp;modifiers,
              int&nbsp;mod)</code>
<div class="block">Removes the given modifier.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="PUBLIC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PUBLIC</h4>
<pre>public static final&nbsp;int PUBLIC</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.java.reverse.ast.body.ModifierSet.PUBLIC">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROTECTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROTECTED</h4>
<pre>public static final&nbsp;int PROTECTED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.java.reverse.ast.body.ModifierSet.PROTECTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PRIVATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PRIVATE</h4>
<pre>public static final&nbsp;int PRIVATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.java.reverse.ast.body.ModifierSet.PRIVATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ABSTRACT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ABSTRACT</h4>
<pre>public static final&nbsp;int ABSTRACT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.java.reverse.ast.body.ModifierSet.ABSTRACT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATIC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATIC</h4>
<pre>public static final&nbsp;int STATIC</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.java.reverse.ast.body.ModifierSet.STATIC">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FINAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FINAL</h4>
<pre>public static final&nbsp;int FINAL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.java.reverse.ast.body.ModifierSet.FINAL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SYNCHRONIZED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SYNCHRONIZED</h4>
<pre>public static final&nbsp;int SYNCHRONIZED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.java.reverse.ast.body.ModifierSet.SYNCHRONIZED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NATIVE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NATIVE</h4>
<pre>public static final&nbsp;int NATIVE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.java.reverse.ast.body.ModifierSet.NATIVE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TRANSIENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TRANSIENT</h4>
<pre>public static final&nbsp;int TRANSIENT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.java.reverse.ast.body.ModifierSet.TRANSIENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="VOLATILE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VOLATILE</h4>
<pre>public static final&nbsp;int VOLATILE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.java.reverse.ast.body.ModifierSet.VOLATILE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STRICTFP">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>STRICTFP</h4>
<pre>public static final&nbsp;int STRICTFP</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.java.reverse.ast.body.ModifierSet.STRICTFP">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addModifier-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addModifier</h4>
<pre>public static&nbsp;int&nbsp;addModifier(int&nbsp;modifiers,
                              int&nbsp;mod)</pre>
<div class="block">Adds the given modifier.</div>
</li>
</ul>
<a name="hasModifier-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasModifier</h4>
<pre>public static&nbsp;boolean&nbsp;hasModifier(int&nbsp;modifiers,
                                  int&nbsp;modifier)</pre>
</li>
</ul>
<a name="isAbstract-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAbstract</h4>
<pre>public static&nbsp;boolean&nbsp;isAbstract(int&nbsp;modifiers)</pre>
</li>
</ul>
<a name="isFinal-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFinal</h4>
<pre>public static&nbsp;boolean&nbsp;isFinal(int&nbsp;modifiers)</pre>
</li>
</ul>
<a name="isNative-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNative</h4>
<pre>public static&nbsp;boolean&nbsp;isNative(int&nbsp;modifiers)</pre>
</li>
</ul>
<a name="isPrivate-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPrivate</h4>
<pre>public static&nbsp;boolean&nbsp;isPrivate(int&nbsp;modifiers)</pre>
</li>
</ul>
<a name="isProtected-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isProtected</h4>
<pre>public static&nbsp;boolean&nbsp;isProtected(int&nbsp;modifiers)</pre>
</li>
</ul>
<a name="isPublic-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPublic</h4>
<pre>public static&nbsp;boolean&nbsp;isPublic(int&nbsp;modifiers)</pre>
<div class="block">A set of accessors that indicate whether the specified modifier
 is in the set.</div>
</li>
</ul>
<a name="isStatic-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isStatic</h4>
<pre>public static&nbsp;boolean&nbsp;isStatic(int&nbsp;modifiers)</pre>
</li>
</ul>
<a name="isStrictfp-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isStrictfp</h4>
<pre>public static&nbsp;boolean&nbsp;isStrictfp(int&nbsp;modifiers)</pre>
</li>
</ul>
<a name="isSynchronized-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSynchronized</h4>
<pre>public static&nbsp;boolean&nbsp;isSynchronized(int&nbsp;modifiers)</pre>
</li>
</ul>
<a name="isTransient-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTransient</h4>
<pre>public static&nbsp;boolean&nbsp;isTransient(int&nbsp;modifiers)</pre>
</li>
</ul>
<a name="isVolatile-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isVolatile</h4>
<pre>public static&nbsp;boolean&nbsp;isVolatile(int&nbsp;modifiers)</pre>
</li>
</ul>
<a name="removeModifier-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>removeModifier</h4>
<pre>public static&nbsp;int&nbsp;removeModifier(int&nbsp;modifiers,
                                 int&nbsp;mod)</pre>
<div class="block">Removes the given modifier.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ModifierSet.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/MethodDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/Parameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ModifierSet.html" target="_top">Frames</a></li>
<li><a href="ModifierSet.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
